# Alerte Rouge

AlerteRouge is a **Progressive admin notification System**, which allows you to collect events accross multiple processes and mitigate them all in once place.

You'll also be able to create complex workflows and make sure that someone get's called everytime you asked for!

Goto: http://www.alerte-rouge.fr


# Installation

	gem install alerte_rouge
	
# Usage
### Create a Token
Authentication and Notifications workflows are based per Token. Therefore you need to first create a token before doing anything else.

Creating one Token for each monitored process is always a good idea. It will help design a workflow specifically for each process.

### Setup your Script or App to use your token

Rails: create the following file **/config/initializers/alerte_rouge.rb**

	require 'alerte_rouge'
	AlerteRouge.key = ENV['your-key']
	AlerteRouge.pass = ENV['your-pass']

### Deliver a Notification

	AlerteRouge.report('your_unique_key_for_whatever_you_monitor', "Any useful human readable message", [OPTIONAL is_error], [OPTIONAL force_notify_now])
	

### Configure Alerte-rouge

Configure your workflow according to your needs.